LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XMessageBoxFactory Interface Referencepublished

specifies a factory interface for creating message boxes. More...

`import"XMessageBoxFactory.idl";`

Inheritance diagram for XMessageBoxFactory:

## Public Member Functions
XMessageBox | createMessageBox ([in] com::sun::star::awt::XWindowPeer aParent, [in] MessageBoxType eType, [in] long nButtons, [in] string sTitle, [in] string sMessage)
| creates a message box. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies a factory interface for creating message boxes.

## Member Function Documentation

## ◆ createMessageBox()

XMessageBox createMessageBox | ( | [in] com::sun::star::awt::XWindowPeer | aParent,
|  | [in] MessageBoxType | eType,
|  | [in] long | nButtons,
|  | [in] string | sTitle,
|  | [in] string | sMessage
| ) |  |

creates a message box.

Returns
  the created message box or a null reference if it cannot be created.

Parameters

  aParent | a valid XWindowPeer reference which is used as a parent.

This parameter must not be null.

Parameters

  eType | the message box type.
  nButtons | specifies which buttons should be available on the message box.

A combination of com::sun::star::awt::MessageBoxButtons

A com::sun::star::awt::MessageBoxType::INFOBOX ignores this parameter, instead it uses a com::sun::star::awt::MessageBoxButtons::BUTTONS_OK.

Parameters

  sTitle | specifies the title of the message box.
  sMessage | specifies text which will be shown by the message box. Line-breaks must be added using 'CR' or 'CR+LF'.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XMessageBoxFactory.idl